import argparse
import configparser
import logging
import os

from src.app.application import Application

if __name__ == '__main__':
    # parser = argparse.ArgumentParser(description='Aria2 and Alist Integration Service')
    # parser.add_argument('--aria2', action='store_true', help='Run Aria2 service only')
    # args = parser.parse_args()

    # 初始化日志和配置
    logging.basicConfig(level=logging.INFO, format='%(asctime)s - %(levelname)s - %(message)s')
    # 获取当前脚本的绝对路径
    current_directory = os.path.dirname(os.path.abspath(__file__))

    # 获取当前脚本所在目录的上级目录
    # parent_directory = os.path.dirname(current_directory)

    # 构建 config.ini 文件的路径
    config_path = os.path.join(current_directory, 'config', 'config.ini')

    # 读取配置文件
    config = configparser.ConfigParser()
    config.read(config_path)

    # 创建服务实例
    app_service = Application(config, current_directory)

    # task
    app_service.run()

    # 执行主循环
    app_service.main_loop()
