import signal
import time

from src.services.RemotePikPakDownloadSerivce import RemotePikPakDownloadService


class PikPakApp:
    def __init__(self, config, parent_directory, ):
        self.pik_pak_service = RemotePikPakDownloadService(config, parent_directory)

        self.is_running = True

        # 注册信号处理函数
        signal.signal(signal.SIGINT, self.handle_signal)

    def handle_signal(self, signum, frame):
        """处理中断信号，优雅地退出循环"""
        self.is_running = False
        print("Exiting...")

    def main_loop(self):
        # 主循环
        while self.is_running:
            # print("Running...")
            time.sleep(1)  # 模拟任务执行
        print("Stopped.")

    def start(self):
        self.pik_pak_service.start_download()
