from src.api.Aria2API import Aria2API
from src.api.NasToolsClient import NasToolsClient
from src.task.Aria2FileCopyTask import Aria2FileCopyTask


class Aria2Service:
    def __init__(self, config):
        self.config = config
        self.check_interval = config['COMMON']['CHECK_INTERVAL']
        base_url = config['NSTOOLS']['URL']
        api_key = config['NSTOOLS']['API_KEY']
        self.nas_tools_api = NasToolsClient(base_url, api_key)
        self.aria2_api = Aria2API(config['ARIA2']['RPC_URL'], config['ARIA2']['RPC_SECRET'])
        self.aria2_api = Aria2API(config['ARIA2']['RPC_URL'], config['ARIA2']['RPC_SECRET'])
        self.file_copy_service = Aria2FileCopyTask(
            aria2_api=self.aria2_api,
            nas_tools_api=self.nas_tools_api,
            download_path=config['ARIA2']['DESTINATION_PATH'],
            destination_path=config['ARIA2']['DES_COPY_PATH'],
            check_interval=self.check_interval
        )

    def start_monitoring(self):
        self.file_copy_service.start_monitoring()

    def stop_monitoring(self):
        self.file_copy_service.stop_monitoring()
