import configparser
import json
import logging
import os

from src.api.Aria2API import Aria2API
from src.api.radarr import RadarClient


# 运行测试

def test_find_movie_id_by_filename():
    # 初始化日志和配置
    logging.basicConfig(level=logging.INFO, format='%(asctime)s - %(levelname)s - %(message)s')
    # 获取当前脚本的绝对路径
    current_directory = os.path.dirname(os.path.abspath(__file__))

    # 获取当前脚本所在目录的上级目录
    parent_directory = os.path.dirname(current_directory)

    # 构建 config.ini 文件的路径
    config_path = os.path.join(parent_directory, 'config', 'config.ini')

    # 读取配置文件
    config = configparser.ConfigParser()
    config.read(config_path)

    # 创建 RadarClient 实例
    radar_client = RadarClient(config['RADAR']['URL'],
                               config['RADAR']['API_KEY'])

    movies = radar_client.get_all_movie_names()

    print(f"movies_jons: {movies}")

    aria2_api = Aria2API(config['ARIA2']['RPC_URL'], config['ARIA2']['RPC_SECRET'])
    downloads = aria2_api.get_downloads()
    for download in downloads:
        if download.is_complete:
            pass
# <<<<<<< HEAD
#             # 检查下载的每个文件
#             for file in download.files:
#                 if file.selected:
#                     completed_files = [os.path.basename(file.path) for file in download.files if file.selected]
#                     for completed_file in completed_files:
#
#                         file_path = os.path.join(config['ARIA2']['DESTINATION_PATH'], completed_file)
#                         temp_file = file_path + '.aria2'
#                         print(f'temp_file: {temp_file}')
# =======
#             completed_files = [os.path.basename(file.path) for file in download.files if file.selected]
#             print(f"completed_files: {completed_files}")
#             # 查找电影ID
#             for completed_file in completed_files:
#                 ids = radar_client.find_movie_id_by_filename(completed_file)
#                 if ids is not None:
#                     print(f"ids: {ids}")
# >>>>>>> main


# 运行测试
test_find_movie_id_by_filename()
